//                                               -*- C++ -*-
/**
 *  @file  Nct.hxx
 *  @brief This file includes all of the nct functions used in the platform
 *
 *  (C) Copyright 2005-2007 EDF-EADS-Phimeca
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 *  @author: $LastChangedBy: dutka $
 *  @date:   $LastChangedDate: 2008-06-26 13:50:17 +0200 (jeu, 26 jun 2008) $
 *  Id:      $Id: Nct.hxx 862 2008-06-26 11:50:17Z dutka $
 */
#ifndef OPENTURNS_NCT_HXX
#define OPENTURNS_NCT_HXX

#include "OT.hxx"
#include "OTconfig.hxx"

extern "C"
{
  /** Function that evaluates the non-central T distribution */
#define TND_F77 F77_FUNC(tnd,TND)
  double TND_F77(double *x, double *df, double *del);
}

#endif /* OPENTURNS_NCT_HXX */
