//                                               -*- C++ -*-
/**
 *  @file  OTconfig.hxx
 *  @brief A wrapper file to include OTconfig.h and undefine some
 *
 *  (C) Copyright 2005-2007 EDF-EADS-Phimeca
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 *  @author: $LastChangedBy: dutka $
 *  @date:   $LastChangedDate: 2007-05-02 14:59:25 +0200 (mer, 02 mai 2007) $
 *  Id:      $Id: OTconfig.hxx 424 2007-05-02 12:59:25Z dutka $
 */
#ifndef OPENTURNS_OTCONFIG_HXX
#define OPENTURNS_OTCONFIG_HXX

/**
 * The OTconfig.h header file is generated automaticaly at configuration
 * step (see autoconf man page) according to the build platform environment.
 * It contains macro definitions whose value is determined by the configure
 * script and propagated inside any source files.
 */
#ifdef HAVE_CONFIG_H
#ifndef OPENTURNS_OTCONFIG_H
#define OPENTURNS_OTCONFIG_H

#include "OTconfig.h"
// #define OPENTURNS_PACKAGE_BUGREPORT PACKAGE_BUGREPORT
// #define OPENTURNS_PACKAGE_NAME      PACKAGE_NAME
// #define OPENTURNS_PACKAGE_STRING    PACKAGE_STRING
// #define OPENTURNS_PACKAGE_TARNAME   PACKAGE_TARNAME
// #define OPENTURNS_PACKAGE_VERSION   PACKAGE_VERSION
// #undef PACKAGE_BUGREPORT
// #undef PACKAGE_NAME
// #undef PACKAGE_STRING
// #undef PACKAGE_TARNAME
// #undef PACKAGE_VERSION
// #undef VERSION

#endif /* OPENTURNS_OTCONFIG_H */
#endif /* HAVE_CONFIG_H */


#endif /* OPENTURNS_OTCONFIG_HXX */
